/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: DelayedBundlePattern.java 3054 2008-04-30 15:41:13Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.osgi.plugins.launcher;

import java.io.Serializable;

/**
 * Allow to wait before starting a given set of modules specified by a pattern.
 * @author Florent BENOIT
 */
public class DelayedBundlePattern implements Serializable {

    /**
     * Serial version UID for Serializable classes.
     */
    private static final long serialVersionUID = -7535692380895489149L;

    /**
     * Seconds to wait for these bundles.
     */
    private long secondsToWait = 0;

    /**
     * Pattern to use.
     */
    private String pattern = "";

    /**
     * Gets the pattern.
     * @return the pattern of the bundles.
     */
    public String getPattern() {
        return pattern;
    }

    /**
     * @return seconds to wait for the given pattern.
     */
    public long getSecondsToWait() {
        return secondsToWait;
    }
}
